package cc.smtweb.system.bpm.web.sys.user.user;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2022-07-29 09:25:43
 * 实体【[用户角色关系](SYS_USER_ROLE)】的Entity类
 */
@SwTable("SYS_USER_ROLE")
public class UserRole extends DefaultEntity {
    public static final String ENTITY_NAME = "SYS_USER_ROLE";

    public UserRole() {
        super(ENTITY_NAME);
    }

    /**
     * 主键
     */
    public long getId() {
        return getLong("sur_id");
    }

    /**
     * 主键
     */
    public void setId(long sur_id) {
        put("sur_id", sur_id);
    }

    /**
     * 机构关系
     */
    public long getSupId() {
        return getLong("sur_sup_id");
    }

    /**
     * 机构关系
     */
    public void setSupId(long sur_sup_id) {
        put("sur_sup_id", sur_sup_id);
    }

    /**
     * 角色
     */
    public long getRoleId() {
        return getLong("sur_role_id");
    }

    /**
     * 角色
     */
    public void setRoleId(long sur_role_id) {
        put("sur_role_id", sur_role_id);
    }
}
